classification
Title: test_subprocess hangs on AMD64 Windows8.1 Refleaks 3.x
Type: Stage: resolved
Components: Tests, Windows Versions: Python 3.7
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: Nosy List: paul.moore, steve.dower, tim.golden, vstinner, zach.ware
Priority: normal Keywords:

Created on 2017-07-09 21:58 by vstinner, last changed 2017-08-10 23:54 by vstinner. This issue is now closed.

Messages (5)
msg298001 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-09 21:58
http://buildbot.python.org/all/builders/AMD64%20Windows8.1%20Refleaks%203.x/builds/44/steps/test/logs/stdio

running: test_mmap (3165 sec), test_subprocess (8003 sec)
3:03:20 [405/406/1] test_mmap passed (3186 sec) -- running: test_subprocess (8026 sec)
beginning 6 repetitions
123456
......
running: test_subprocess (8056 sec)
running: test_subprocess (8086 sec)
running: test_subprocess (8116 sec)
running: test_subprocess (8146 sec)
running: test_subprocess (8176 sec)
...
running: test_subprocess (307672 sec)
running: test_subprocess (307702 sec)
running: test_subprocess (307732 sec)
running: test_subprocess (307762 sec)
...
msg298002 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-09 22:16
I checked last builds up to build #20, it seems like build 44 is the first time that test_subprocess hangs.
msg299175 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-26 00:14
test_subprocess passed on the last builds 56 (Jul 20) and 57 (Jul 25).
msg299307 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-07-27 13:31
test_subprocess also hangs on this Python 3.5 build. It's the only test not listed in the output:

http://buildbot.python.org/all/builders/AMD64%20Windows10%203.5/builds/356/steps/test/logs/stdio

...
1:01:45 [395/398] test_codecmaps_tw
1:01:47 [396/398] test_grammar
1:01:48 [397/398] test_posix
test_posix skipped -- No module named 'posix'

command timed out: 1200 seconds without output running ['Tools\\buildbot\\test.bat', '-x64', '-j2', '--timeout', '900'], attempting to kill
program finished with exit code 1
elapsedTime=4915.543000
msg300133 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2017-08-10 23:54
Sadly, I didn't see the bug recently, so I just close the issue.

Note: Python 3.5 just entered security only fixes stage.
History
Date User Action Args
2017-08-10 23:54:39vstinnersetstatus: open -> closed
resolution: out of date
messages: + msg300133

stage: resolved
2017-07-27 13:31:11vstinnersetmessages: + msg299307
2017-07-26 00:14:33vstinnersetmessages: + msg299175
2017-07-09 22:16:02vstinnersetmessages: + msg298002
2017-07-09 21:58:44vstinnercreate